## gpxview 0.5-5

=== Makefile ===
#
# gpxview
#

APP = gpxview
PREFIX = /usr/local

include version.mk

PKGS = libxml-2.0 libgtkhtml-3.8 gtk+-2.0 gconf-2.0 \
	gnome-vfs-module-2.0 sqlite3

OBJS = main.o gpx.o goto.o gps.o misc.o gconf.o html.o icons.o cache.o \
	geomath.o settings.o custom_size_renderer.o custom_rating_renderer.o \
	notes.o custom_type_renderer.o mm_poi.o unzip.o ioapi.o precpos.o \
	garmin_export.o geotext.o

DEFS = -DVERSION=\"$(VERSION)\" -DICONPATH=\"$(PREFIX)/share/$(APP)/\"
CFLAGS = -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)` -lz

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
	install -m 644 help/gpxview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f gpxview *.o *~ \#*\#

# DO NOT DELETE

cache.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
cache.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
cache.o: garmin_export.h misc.h
custom_rating_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_rating_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_rating_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_rating_renderer.o: misc.h custom_rating_renderer.h
custom_size_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_size_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_size_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_size_renderer.o: misc.h custom_size_renderer.h
custom_type_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_type_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_type_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_type_renderer.o: misc.h custom_type_renderer.h
garmin_export.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h
garmin_export.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h
garmin_export.o: mm_poi.h precpos.h garmin_export.h misc.h
gconf.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gconf.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gconf.o: garmin_export.h misc.h
geomath.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geomath.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geomath.o: precpos.h garmin_export.h misc.h
geotext.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geotext.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geotext.o: precpos.h garmin_export.h misc.h
goto.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
goto.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
goto.o: garmin_export.h misc.h
gps.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gps.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gps.o: garmin_export.h misc.h
gpx.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gpx.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gpx.o: garmin_export.h misc.h unzip.h ioapi.h
html.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
html.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
html.o: garmin_export.h misc.h
icons.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
icons.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
icons.o: garmin_export.h misc.h
ioapi.o: ioapi.h
main.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
main.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
main.o: garmin_export.h misc.h custom_size_renderer.h
main.o: custom_rating_renderer.h custom_type_renderer.h
misc.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
misc.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
misc.o: garmin_export.h misc.h
mm_poi.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
mm_poi.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
mm_poi.o: precpos.h garmin_export.h misc.h
notes.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
notes.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
notes.o: garmin_export.h misc.h
precpos.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
precpos.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
precpos.o: precpos.h garmin_export.h misc.h
settings.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
settings.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
settings.o: precpos.h garmin_export.h misc.h
unzip.o: unzip.h ioapi.h crypt.h

=== debian/changelog ===
gpxview (0.5-5) unstable; urgency=low

  * Copy button for precise position dialog
  * Geotext
  * URL handling for loc files
  * Fixed bug with display/parsing of S/W 00° 00.000'
  * Save date/time of find
	
 -- Till Harbaum <till@harbaum.org>  Sat, 19 Jul 2008 20:38:54 +0200

gpxview (0.5-4) unstable; urgency=low

  * Export of overridden positions to garmin GPX
  * URL and browser button on main view

 -- Till Harbaum <till@harbaum.org>  Fri, 18 Jul 2008 21:13:19 +0200

gpxview (0.5-3) unstable; urgency=low

  * Changes in notes correctly affect search results
  * Notes add-on icon
  * Fixed assertion when selecting last extra waypoint in geomath
  * Added "Precise Position" dialog
  * Improved handling of export paths
 	
 -- Till Harbaum <till@harbaum.org>  Sun, 13 Jul 2008 20:26:19 +0200

gpxview (0.5-2) unstable; urgency=low

  * Various small gui fixes
  * Fixed broken search due to search string being freed too early
  * No display of size icon for caches without size entry (e.g. loc files)
	
 -- Till Harbaum <till@harbaum.org>  Sun, 13 Jul 2008 12:06:28 +0200

gpxview (0.5-1) unstable; urgency=low

  * Localisation (en_GB and de_DE)
  * Fix lockup after MM export dialog
	
 -- Till Harbaum <till@harbaumorg>  Tue, 08 Jul 2008 23:42:39 +0200

gpxview (0.4-4) unstable; urgency=low

  * Updated help
  * location edit sanity check
  * fixed buffer overflow in distance parsing
  * Receive messages from Maemo Mapper (e.g. current position)
	
 -- Till Harbaum <till@harbaum.org>  Fri, 04 Jul 2008 20:11:36 +0200

gpxview (0.4-3) unstable; urgency=low

  * Multiple (home) locations in Settings/GPS
  * Option to specify mmpoi path

 -- Till Harbaum <till@harbaum.org>  Thu,  3 Jul 2008 21:59:45 +0200

gpxview (0.4-2) unstable; urgency=low

  * Support for zip'ed gpx/-wpts.gpx files as in emails from geocaching.com
  * Optional file name display in GPX list
  * Export progress bar
  * Fixed earthcache POI cathegory in Maemo Mapper
  * GPX list icons
  * Hint encrypt/decrypt
  * Async image loading
  * Disabling GPS now completely stops GPS usage
  * speedup of cachelist building/handling
	
 -- Till Harbaum <till@harbaum.org>  Fri, 27 Jun 2008 22:13:30 +0200

gpxview (0.4-1) unstable; urgency=low

  * Added Maemo Mapper event callback
  * Switched to gtkhtml-3.8, allowing us to:
  * use the hildon-help framework
	
 -- Till Harbaum <till@harbaum.org>  Thu, 26 Jun 2008 19:40:30 +0200

gpxview (0.3-1) unstable; urgency=low

  * Maemo Mapper POI export
  * GPX/SQL error handling

 -- Till Harbaum <till@harbaum.org>  Mon, 23 Jun 2008 18:58:18 +0200

gpxview (0.2-2) unstable; urgency=low

  * Compass "lock"
  * Adjustable compass damping
  * Streamlined gconf handling
  * Notebook based settings dialog
  * Configurable screensaver in cachelist/cache-goto
  * Refresh after 30 sec in settings configurable
  * "found" entry in notes
  * Option to hide found caches from list
  * Refresh cache list after position changes in settings
  * copy'n paste
	
 -- Till Harbaum <till@harbaum.org>  Tue, 10 Jun 2008 20:53:44 +0200

gpxview (0.2-1) unstable; urgency=low

  * User notes and custom coordinate (e.g. for solved mysteries)
  * Automatic cache reordering after 30 sec idle in cache list 
	
 -- Till Harbaum <till@harbaum.org>  Wed, 21 May 2008 13:33:17 +0200

gpxview (0.1-14) unstable; urgency=low

  * Seperate "Settings" dialog
  * Ability to show terrain/size/data in gpx/cachelist

 -- Till Harbaum <till@harbaum.org>  Thu, 15 May 2008 19:59:18 +0200

gpxview (0.1-13) unstable; urgency=low

  * Optimized detection of "orphaned waypoints" somewhat
  * Fixed crash with empty log text

 -- Till Harbaum <till@harbaum.org>  Wed, 14 May 2008 21:02:45 +0200

gpxview (0.1-12) unstable; urgency=low

  * Added support for Geocaching Australia (geocaching.com.au)

 -- Till Harbaum <till@harbaum.org>  Tue, 13 May 2008 21:14:29 +0200

gpxview (0.1-11) unstable; urgency=low

  * Interface to set position in Maemo-Mapper

 -- Till Harbaum <till@harbaum.org>  Sun, 11 May 2008 21:36:43 +0200

gpxview (0.1-10) unstable; urgency=low

  * Bug fiy in imperial mode for geocalc
  * Coordinate 1 waypoint selection in geocalc

 -- Till Harbaum <till@harbaum.org>  Wed,  7 May 2008 21:04:01 +0200

gpxview (0.1-9) unstable; urgency=low

  * zoom menu entries enable/disable
  * direction in goto view
  * select button always maps to crumb-trail-back (no, interferes with gtkentrys)
  * hdop/precision
  * last entry selected (puh ...)
  * sat widget
  * honor available/archived flags
  * geocalc
  * sort logs/tbs/waypoints

 -- Till Harbaum <till@harbaum.org>  Fri,  2 May 2008 22:06:15 +0200

gpxview (0.1-8) unstable; urgency=low

  * Owner search
  * Small gui fixes
  * TB tab
  * Crash with zero length entries (e.g. made by gsak)

 -- Till Harbaum <till@harbaum.org>  Thu,  1 May 2008 22:51:16 +0200

gpxview (0.1-7) unstable; urgency=low

  * Bug fixes with negative (western) coordinates
  * Support for Opencaching.de gpx files
  * Ability to load entire directories
  * Image spidering/caching
  * Support for *.loc files
  * Search function
  * New hildon-bread-crumb-trail based layout on maemo (no dialog boxes)
  * Maemo fullscreen/zoom support
  * Screen saver disabled in "goto" view on maemo

 -- Till Harbaum <till@harbaum.org>  Tue, 22 Apr 2008 21:54:41 +0200

gpxview (0.1-6) unstable; urgency=low

  * "Goto" added

 -- Till Harbaum <till@harbaum.org>  Thu, 17 Apr 2008 22:10:58 +0200

gpxview (0.1-5) unstable; urgency=low

  * Fixed core dump if GPS wasn't found
  * GPS retries
  * First "goto" code

 -- Till Harbaum <till@harbaum.org>  Wed, 16 Apr 2008 21:16:05 +0200

gpxview (0.1-4) unstable; urgency=low

  * Removed delay by GPS init
  * More robust icon handling

 -- Till Harbaum <Till@Harbaum.org>  Tue, 15 Apr 2008 20:42:20 +0200

gpxview (0.1-3) unstable; urgency=low

  * GPS support
  * Waypoint support

 -- Till Harbaum <Till@Harbaum.org>  Sat, 12 Apr 2008 14:09:15 +0200

gpxview (0.1-2) unstable; urgency=low



=== debian/control ===
Source: gpxview
Section: user/other
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev, libhildonhelp-dev, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, libgpsmgr-dev, libgpsbt-dev, libsqlite3-dev, tablet-browser-interface-dev
Standards-Version: 3.7.2

Package: gpxview
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: osso-gnomevfs-extra, ${shlibs:Depends}
Description: Geocaching viewer
 The GPXView application reads and displays geocaching.com GPX files and serves
 as a geocaching navigation tool.

## gpxview 0.5-6

=== debian/changelog ===
gpxview (0.5-6) unstable; urgency=low

  * Search for recently found caches in search dialog

 -- Till Harbaum <till@harbaum.org>  Sun, 14 Sep 2008 11:49:48 +0200

## gpxview 0.5-7

=== test/Makefile ===
#
# gpxview
#

APP = texttest

PKGS = libgtkhtml-2.0
OBJS = texttest.o

CFLAGS = -O2 `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

clean:
	rm -f $(APP) *.o

=== debian/changelog ===
gpxview (0.5-7) unstable; urgency=low

  * Fixed bug that caused the overwritten coordinate to be ignored on export
  * Switches to ignore found and disabled caches on export

 -- Till Harbaum <till@harbaum.org>  Tue, 30 Sep 2008 20:56:24 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -f Makefile.maemo
	#docbook-to-man debian/gpxview.sgml > gpxview.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gpxview.
	$(MAKE) -f Makefile.maemo DESTDIR=$(CURDIR)/debian/gpxview install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gpxview 0.6-1

=== debian/changelog ===
gpxview (0.6-1) unstable; urgency=low

  * Log upload file

 -- Till Harbaum <till@harbaum.org>  Tue, 07 Oct 2008 12:23:45 +0200

## gpxview 0.6-3

=== debian/changelog ===
gpxview (0.6-3) unstable; urgency=low

  * Stream parser "sym" handling bug fix

 -- Till Harbaum <till@harbaum.org>  Wed, 28 Jan 2009 20:31:14 +0100

gpxview (0.6-2) unstable; urgency=low

  * Replaced DOM parser by faster stream parser
  * Some code cleanups
	
 -- Till Harbaum <till@harbaum.org>  Fri, 23 Jan 2009 18:59:06 +0100

## gpxview 0.6-4

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	garmin_export.o geotext.o
 
 DEFS = -DVERSION=\"$(VERSION)\" -DICONPATH=\"$(PREFIX)/share/$(APP)/\"
-CFLAGS = -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
+CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
 LDFLAGS = `pkg-config --libs $(PKGS)` -lz
 
 all: $(APP)

=== debian/changelog ===
gpxview (0.6-4) unstable; urgency=low

  * Further stream parser bug fixing

 -- Till Harbaum <till@harbaum.org>  Thu, 29 Jan 2009 20:17:04 +0100

## gpxview 0.6-5

=== debian/changelog ===
gpxview (0.6-5) unstable; urgency=low

  * Loading dialog
 
 -- Till Harbaum <till@harbaum.org>  Fri, 30 Jan 2009 21:57:06 +0100

=== debian/control ===
--- 
+++ 
@@ -12,3 +12,31 @@
 Description: Geocaching viewer
  The GPXView application reads and displays geocaching.com GPX files and serves
  as a geocaching navigation tool.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABcAAAAaCAYAAABctMd+AAAABmJLR0QA/wD/AP+g
+ vaeTAAAACXBIWXMAAABIAAAASABGyWs+AAAEoElEQVRIx62UTWxUVRTHf+e+Ox+d
+ mU47LR3KUAq1aKFQFIQETSpCWfiBuNC1G6NxYQLGwEpYwMaNMUEXykIT48fCDzQa
+ JAFjIipEDRK0gImBAqWdDi2ldDrT6XvvXhdvpp1pIWw8s5jk3XP/9/z/53+OuLfS
+ diSryCz1EWB4yCHVZIlEDWOjmuZmD1EKYj/uR1YfPHLlxL5DFz89AGCtRRCsWACU
+ VRgMIsKqZAcKLJ981sjVAU3uhsPLuzJ8/lU9g9dCHDseJ7hWG7b8UygswQOCBMAI
+ FgsISrD0Plrg/Q+buNAfpa83TzLu8/Y7TWzeVESJpfoFe20a789xGHdnq7TWBiyk
+ zMIGJajJ2w4Tkw7Jep9D7zUx4wnfHKtn3doinStnAKEa3R8u4n05TOnwJfyjWUze
+ 5W6hGlI+jmNYv67EsjaXI981kB0JsfWxYpAhFkTmLiRDSIPGThm80zdxj2YRsbMM
+ xEpQD6BEhO3bCvT15UnU+4TDBmth195WTv4cw1qprWZVguirKwk924pNhwltSmHL
+ Olf3AEABiGO5ciXCr7/FeeaJST46fJ2uB0oceHMRJ0/Wga1tq61TOBtSRF68D1ke
+ Dwj6YIwfMCjLqLAGrPDHmSjFAmzbUqSlxWXv7jFamn3eereZG7nQfLsEgDEVlFfw
+ mfk+izk7EQCXz3Vwarl4MYyjDcvbZwBF0yKPN/aM8ld/lFxO09JRi1+xnCB4/+bx
+ fx+HTBTVk4SQKoNL4MmRnEYpQeugiWKFNWtLrOkpVdSrRg40Lg+N7qzHT2r87DR6
+ zEWWRAKfV/Kn3QpEbQO5wxgtGJqYgvYY4lm4Pl1uqEWjXzgN0Letga5uh1DdLdB+
+ lb8rj6UGAVYklg7uaNtyeu4s+DdPTeJ23EZ3JXDakiypSyPW3mnA/5/QoyX3QQBn
+ poT4Hn44gnX0gsRUyMk6So3glRbjT7feE1k0suLrnyzAslMnaL5wjqHNW8l1r59V
+ 3wJK4NjjG/ffn6w7yKUf9nHu4wPlE8BUSVf1LdWJHpgqAFA0Dh1D1xn9p5+B9q6a
+ viqgZMryuQXIZ7GAa2zZE6Yq0+CIoKKNzPLPt7ZhdIj6wQF0MY8XS9T4Zb6HpmYM
+ e77N43pgMYBCgEyj8NqWGCmqDFxsTlNoaSVSKBAfGV4g4fy2O0oYzRv+zrqcHzFc
+ GHGpCyteeSRBY9QJGlpJNqEQwxt7wfO4vbyztjc1lQdbTyshXS8MTgiOWJ7sjrK7
+ N0E8MsezxhZjnatmL4vrEZ0Yo9iUxqpqUYLdoRVkkpp+7fHS5hjPP1hHRJeBy/au
+ 9VzV3k6fP8OyX46T697AePdDiPEXsGlPOby+Nc6O1dEqZnMCzlsa5YvGkhi+iuPO
+ kDl7itVffEDk1uj8LJYkFW0NulayqrgjuFXC5e07ubxtJ1PpDMoGD9Y2wZKuV2Qn
+ TcBYqtaFBEmau4TRYXI9DzPa1UNs4ibTjU211hFhUVw4N2QCjaXyqgUb/CvuESYc
+ ZqqlFavD8+hZGiIKrUyV1NXLDPTTmXSZqSoPw9woV76JQDIUeJfEYli6CXCIWcNz
+ 7RacypRWajWQbOc/TOTOgq0nT7EAAAAASUVORK5CYII=

## gpxview 0.6.6

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.

APP = gpxview
VERSION = $${VERSION_PREFIX}0.6.6$${VERSION_SUFFIX}

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

distclean: clean
	rm -f Makefile src/Makefile data/Makefile config.log config.status
	rm -fr autom4te.cache

mostlyclean: clean

maintainer-clean: distclean
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	# (nothing yet)

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions

tarball: distclean
	sh mktarball.sh "$(VERSION)"

FORCE:

=== data/Makefile ===
APP = gpxview
PREFIX = /usr/local
datadir = ${prefix}/share

LANGS = en_GB de_DE

all:

clean:

install-debian:
	install -m 644 help/gpxview.html $(DESTDIR)$(PREFIX)/share/$(APP)

install-maemo:
	for s in 40 26; do \
	  install -d $(DESTDIR)$(PREFIX)$(datadir)/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 $(APP).$$s.png $(DESTDIR)$(PREFIX)$(datadir)/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(PREFIX)$(datadir)/icons/hicolor/scalable/hildon
	install -m 644 $(APP).64.png $(DESTDIR)$(PREFIX)$(datadir)/icons/hicolor/scalable/hildon/$(APP).png
	for LANG in $(LANGS); do \
		install -d $(DESTDIR)$(PREFIX)/share/osso-help/$${LANG} ;\
		install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(PREFIX)/share/osso-help/$${LANG} ;\
	done

install: install-maemo
	install -d $(DESTDIR)$(PREFIX)/share/$(APP)
	install -m 644 icons/*.gif icons/*.png $(DESTDIR)$(PREFIX)/share/$(APP)
	for LANG in $(LANGS); do \
		install -d $(DESTDIR)$(PREFIX)/share/locale/$${LANG}/LC_MESSAGES ;\
		msgfmt ../po/$${LANG}.po -o $(DESTDIR)$(PREFIX)/share/locale/$${LANG}/LC_MESSAGES/$(APP).mo ;\
	done

=== src/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
#

APP = gpxview
PREFIX ?= /usr/local
EXTRA_OBJS = mm_poi.o dbus.o
VERSION = $${VERSION_PREFIX}0.6.6$${VERSION_SUFFIX}

bindir = ${exec_prefix}/bin

OBJS = main.o gpx.o goto.o gps.o misc.o gconf.o html.o icons.o cache.o \
	geomath.o settings.o custom_size_renderer.o custom_rating_renderer.o \
	notes.o custom_type_renderer.o unzip.o ioapi.o precpos.o \
	garmin_export.o geotext.o $(EXTRA_OBJS)

DEFS = -DVERSION=\"$(VERSION)\" -DICONPATH=\"$(PREFIX)/share/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -DMAEMO_CHANGES -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12     -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0-beta\" -DMAEMO_VERSION_MAJOR=5
LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lgtkhtml-3.14 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lsqlite3   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lz

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(PREFIX)$(bindir)
	install $(APP) $(DESTDIR)$(PREFIX)$(bindir)

clean:
	rm -f gpxview *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c


# DO NOT DELETE

cache.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
cache.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
cache.o: garmin_export.h misc.h
custom_rating_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_rating_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_rating_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_rating_renderer.o: misc.h custom_rating_renderer.h
custom_size_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_size_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_size_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_size_renderer.o: misc.h custom_size_renderer.h
custom_type_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_type_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_type_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_type_renderer.o: misc.h custom_type_renderer.h
garmin_export.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h
garmin_export.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h
garmin_export.o: mm_poi.h precpos.h garmin_export.h misc.h
gconf.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gconf.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gconf.o: garmin_export.h misc.h
geomath.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geomath.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geomath.o: precpos.h garmin_export.h misc.h
geotext.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geotext.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geotext.o: precpos.h garmin_export.h misc.h
goto.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
goto.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
goto.o: garmin_export.h misc.h
gps.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gps.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gps.o: garmin_export.h misc.h
gpx.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gpx.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gpx.o: garmin_export.h misc.h unzip.h ioapi.h
html.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
html.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
html.o: garmin_export.h misc.h
icons.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
icons.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
icons.o: garmin_export.h misc.h
ioapi.o: ioapi.h
main.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
main.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
main.o: garmin_export.h misc.h custom_size_renderer.h
main.o: custom_rating_renderer.h custom_type_renderer.h
misc.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
misc.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
misc.o: garmin_export.h misc.h
mm_poi.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
mm_poi.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
mm_poi.o: precpos.h garmin_export.h misc.h
notes.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
notes.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
notes.o: garmin_export.h misc.h
precpos.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
precpos.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
precpos.o: precpos.h garmin_export.h misc.h
settings.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
settings.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
settings.o: precpos.h garmin_export.h misc.h
unzip.o: unzip.h ioapi.h crypt.h

=== debian/changelog ===
gpxview (0.6.6) unstable; urgency=low

  * configure script
  * Initial Fremantle port
  * liblocation framework 
  * small notes gui adjustment

 -- Till Harbaum <till@harbaum.org>  Wed, 29 Apr 2009 20:48:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: gpxview
-Section: user/other
+Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev, libhildonhelp-dev, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, libgpsmgr-dev, libgpsbt-dev, libsqlite3-dev, tablet-browser-interface-dev
+Build-Depends: debhelper (>= 5), mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev
 Standards-Version: 3.7.2
 
 Package: gpxview

## gpxview 0.6.7

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = gpxview
-VERSION = $${VERSION_PREFIX}0.6.6$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.6.7$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== src/Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 APP = gpxview
-PREFIX ?= /usr/local
+PREFIX ?= /usr
 EXTRA_OBJS = mm_poi.o dbus.o
-VERSION = $${VERSION_PREFIX}0.6.6$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.6.7$${VERSION_SUFFIX}
 
 bindir = ${exec_prefix}/bin
 
@@ -30,12 +30,12 @@
 	garmin_export.o geotext.o $(EXTRA_OBJS)
 
 DEFS = -DVERSION=\"$(VERSION)\" -DICONPATH=\"$(PREFIX)/share/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -DMAEMO_CHANGES -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12     -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0-beta\" -DMAEMO_VERSION_MAJOR=5
-LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lgtkhtml-3.14 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lsqlite3   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lz
+CFLAGS = -Wall -O2 $(DEFS) -DHILDON_HELP -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -I/usr/include/libgtkhtml-3.8 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12     -I/usr/include/hildon-help   -DENABLE_GPSBT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"4.1.2\" -DMAEMO_VERSION_MAJOR=4
+LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lgtkhtml-3.8 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lsqlite3   -lhildonhelp -lglib-2.0 -losso   -lgpsbt -lgpsmgr -lgps -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lz
 
 all: $(APP)
 
-%.o: %.c
+%.o: %.c Makefile
 	gcc $(CFLAGS) -o $@ -c $<
 
 $(APP): $(OBJS)

=== debian/changelog ===
gpxview (0.6.7) unstable; urgency=low

  * Fixed crash when wpt had no id/name
  * Ability to "close" gpx files
  * Busy indicator when creating cache list

 -- Till Harbaum <till@harbaum.org>  Sat, 23 May 2009 21:32:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev
+Build-Depends: debhelper (>= 5), mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts
 Standards-Version: 3.7.2
 
 Package: gpxview

## gpxview 0.6.8

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = gpxview
-VERSION = $${VERSION_PREFIX}0.6.7$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.6.8$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== data/Makefile ===
--- 
+++ 
@@ -9,9 +9,11 @@
 clean:
 
 install-debian:
-	install -m 644 help/gpxview.html $(DESTDIR)$(PREFIX)/share/$(APP)
+#	install -m 644 help/gpxview.html $(DESTDIR)$(PREFIX)/share/$(APP)
 
 install-maemo:
+	install -d $(DESTDIR)$(PREFIX)$(datadir)/applications/hildon
+	install $(APP).desktop $(DESTDIR)$(PREFIX)$(datadir)/applications/hildon
 	for s in 40 26; do \
 	  install -d $(DESTDIR)$(PREFIX)$(datadir)/icons/hicolor/$${s}x$${s}/hildon ;\
 	  install -m 644 $(APP).$$s.png $(DESTDIR)$(PREFIX)$(datadir)/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\

=== src/Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 APP = gpxview
-PREFIX ?= /usr
+PREFIX ?= /usr/local
 EXTRA_OBJS = mm_poi.o dbus.o
-VERSION = $${VERSION_PREFIX}0.6.7$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.6.8$${VERSION_SUFFIX}
 
 bindir = ${exec_prefix}/bin

=== debian/changelog ===
gpxview (0.6.8) unstable; urgency=low

  * Kinetic scrolling for fremantle
  * Workaround for log text expansion problem
  * Tabs at bottom for fremantle
	
 -- Till Harbaum <till@harbaum.org>  Sat, 30 May 2009 19:24:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts
+Build-Depends: debhelper (>= 5), maemo-version-dev, mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts
 Standards-Version: 3.7.2
 
 Package: gpxview

## gpxview 0.6.10

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = gpxview
-VERSION = $${VERSION_PREFIX}0.6.8$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.6.10$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== data/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APP = gpxview
-PREFIX = /usr/local
+PREFIX = /usr
 datadir = ${prefix}/share
 
 LANGS = en_GB de_DE

=== src/Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 APP = gpxview
-PREFIX ?= /usr/local
+PREFIX ?= /usr
 EXTRA_OBJS = mm_poi.o dbus.o
-VERSION = $${VERSION_PREFIX}0.6.8$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.6.10$${VERSION_SUFFIX}
 
 bindir = ${exec_prefix}/bin
 
@@ -30,8 +30,8 @@
 	garmin_export.o geotext.o $(EXTRA_OBJS)
 
 DEFS = -DVERSION=\"$(VERSION)\" -DICONPATH=\"$(PREFIX)/share/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -DHILDON_HELP -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -I/usr/include/libgtkhtml-3.8 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12     -I/usr/include/hildon-help   -DENABLE_GPSBT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"4.1.2\" -DMAEMO_VERSION_MAJOR=4
-LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lgtkhtml-3.8 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lsqlite3   -lhildonhelp -lglib-2.0 -losso   -lgpsbt -lgpsmgr -lgps -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lz
+CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -DMAEMO_CHANGES -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12     -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0-alpha\" -DMAEMO_VERSION_MAJOR=5
+LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lgtkhtml-3.14 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lsqlite3   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lz
 
 all: $(APP)

=== debian/changelog ===
gpxview (0.6.10) unstable; urgency=low

  * Lot of hildonization with respect to fremantle

 -- Till Harbaum <harbaum@metis>  Fri, 19 Jun 2009 21:56:57 +0200

gpxview (0.6.9) unstable; urgency=low

  * Ability to work without "default" position

 -- Till Harbaum <till@harbaum.org>  Fri, 05 Jun 2009 12:34:22 +0200
